<template>
  <div class="plate-box">
    <h2 class="title">
      <span class="line"></span>
      <p>{{ title }}</p>
      <span class="line"></span>
    </h2>
    <div class="plate ">
      <ul>
        <li style="width:100%;">
          <label>透析物品核查 : </label>
          <span class="content">{{ dialysis_item_check }}</span>
        </li>
        <li style="width:100%;">
          <label>{{ dialysis_item_desc_title }}</label>
          <span class="content">{{ dialysis_item_desc }}</span>
        </li>
        <li style="width:100%;">
          <label>透析参数核查 : </label>
          <span class="content">{{ dialysis_parameter_check }}</span>
        </li>
        <li style="width:100%;">
          <label>{{ dialysis_parameter_desc_title }}</label>
          <span class="content">{{ dialysis_parameter_desc }}</span>
        </li>
        <li style="width:100%;">
          <label>血管通路核查 : </label>
          <span class="content">{{ vascular_access_verification }}</span>
        </li>
        <li style="width:100%;">
          <label>{{ vascular_access_desc_title }}</label>
          <span class="content">{{ vascular_access_desc }}</span>
        </li>
        <li style="width:100%;">
          <label>管道连接核查 : </label>
          <span class="content">{{ pipeline_connection_check }}</span>
        </li>
        <li style="width:100%;">
          <label>{{ pipeline_connection_desc_title }}</label>
          <span class="content">{{ pipeline_connection_desc }}</span>
        </li>

      </ul>

    </div>
    <!-- <div class="note">处方医生 : {{doctor}}</div> -->
  </div>
</template>

<script>
export default {
  name: 'DoubleCheck',
  data () {
    return {
      title: '双人核对 '
    }
  },
  props: {
    record: {
      type: Object
    },
   
  },
  computed: {
    dialysis_item_check: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_item_check == 1 ? '正确' : '错误'
    },
    dialysis_parameter_check: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_parameter_check == 1 ? '正确' : '错误'
    },
    vascular_access_verification: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.vascular_access_verification == 1 ? '正确' : '错误'
    },
    pipeline_connection_check: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.pipeline_connection_check == 1 ? '正确' : '错误'
    },
    dialysis_item_desc_title: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_item_check == 1 ? '' : '错误描述 : '
    },
    dialysis_parameter_desc_title: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_parameter_check == 1 ? '' : '错误描述 : '
    },
    vascular_access_desc_title: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.vascular_access_verification == 1 ? '' : '错误描述 : '
    },
    pipeline_connection_desc_title: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.pipeline_connection_check == 1 ? '' : '错误描述 : '
    },

    dialysis_item_desc: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_item_check == 1
        ? ''
        : this.record.dialysis_item_desc
    },
    dialysis_parameter_desc: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.dialysis_parameter_check == 1
        ? ''
        : this.record.dialysis_parameter_desc
    },
    vascular_access_desc: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.vascular_access_verification == 1
        ? ''
        : this.record.vascular_access_desc
    },
    pipeline_connection_desc: function () {
      if (this.record == null || this.record.id == '') {
        return ''
      }
      return this.record.pipeline_connection_check == 1
        ? ''
        : this.record.pipeline_connection_desc
    },

  },
  methods: {
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped></style>
